<template>
  <v-row justify="center">
    <v-card style="width: 100%">
      <v-toolbar style="position:relative" color="white" elevation="0">
        <v-spacer />
        <v-toolbar-title class="mt-5">
          <span class="primary--text">
            <v-icon large color="primary" class="mr-2 pb-1">mdi-file</v-icon><b>Anexar arquivo</b>
          </span>
        </v-toolbar-title>
        <v-spacer />
        <v-tooltip color="red" bottom>
          <template v-slot:activator="{ on }">
            <v-icon v-on="on" style="position:absolute; right: 15px" color="red" @click="close"
              >mdi-close</v-icon
            >
          </template>
          <span><b>Fechar</b> janela</span>
        </v-tooltip>
      </v-toolbar>
      <v-card-text>
        <v-row v-if="addFileRow" justify="center" class="mt-6 mb-n3" no-gutters>
          <v-col align="center" cols="6">
            <v-file-input
              class="ml-n5"
              autofocus
              v-model="file"
              dense
              label="Selecionar Anexo"
              accept="image/png, image/jpeg, image/bmp, application/pdf, application/xls, application/xml, application/pptx, application/ppt"
              outlined
              loader-height="4"
            />
          </v-col>
        </v-row>
      </v-card-text>
      <v-card-actions class="mt-n3 pb-6 pr-6">
        <v-spacer></v-spacer>
        <v-btn color="primary" text @click="close">Cancelar</v-btn>
        <v-btn color="primary" elevation="0" @click="addFile" :disabled="!file">Anexar</v-btn>
      </v-card-actions>
    </v-card>
  </v-row>
</template>
<script>
export default {
  name: 'Delete',
  props: {
    attachments: {
      type: Object,
      default: () => {},
    },
    dialogAttachments: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      file: null,
      addFileRow: true,
    }
  },
  computed: {
    checkDialogIsActive() {
      return this.$store.state.user.closeDialog
    },
  },
  watch: {
    checkDialogIsActive() {
      if (this.checkDialogIsActive) {
        this.close()
        this.$store.commit('user/UPDATE_CLOSE_DIALOG', false)
      }
    },
  },
  methods: {
    close() {
      this.$emit('closeAttachments')
      this.file = null
    },
    closeFileRow() {
      this.file = null
    },
    addFile() {
      this.$emit('addFile', { id: this.attachments.id, file: this.file })
      this.attachments.file.push(this.file)
      this.file = null
    },
  },
}
</script>
